### A free/open-source library for quantitative finance

Public Types
SingleVariate< RNG > Struct Template Reference

default Monte Carlo traits for single-variate models More...

`#include <ql/methods/montecarlo/mctraits.hpp>`

List of all members.

## Public Types

enum | { allowsErrorEstimate = RNG::allowsErrorEstimate }
typedef RNG | rng_traits
typedef Path | path_type
typedef PathPricer< path_type > | path_pricer_type
typedef RNG::rsg_type | rsg_type
typedef PathGenerator< rsg_type > | path_generator_type

## Detailed Description

### template<class RNG = PseudoRandom>
struct QuantLib::SingleVariate< RNG >

default Monte Carlo traits for single-variate models